继续使用Eclipse的ADT Bundle开发Android程序

Android已经有了自己官方的IDE,不再是基于Eclipse的ADT Bundle,但是用了一段时间感觉还是很不习惯,于是换到以前的环境,下面是下载链接,android官方已经不推荐使用了,也找不到链接,还好Google没有删除ADT文件。

linux 64 bit: http://dl.google.com/android/adt/adt-bundle-linux-x86_64-20140702.zip
linux 32 bit: http://dl.google.com/android/adt/adt-bundle-linux-x86-20140702.zip
MacOS X: http://dl.google.com/android/adt/adt-bundle-mac-x86_64-20140702.zip
Win32: http://dl.google.com/android/adt/adt-bundle-windows-x86-20140702.zip
Win64: http://dl.google.com/android/adt/adt-bundle-windows-x86_64-20140702.zip

PS:搭载ADT的版本是23.0.2,下载后请自行升级到最新版本的23.0.7。

如果采用内部升级的话,可能会出现如下报错。解决办法是升级的时候不要选择“Contact all update sites during install to find required software”即可。


An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.android.ide.eclipse.adt,16.0.1.v201112150204-238534
No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.adt,16.0.1.v201112150204-238534
No repository found containing: osgi.bundle,com.android.ide.eclipse.ddms,16.0.1.v201112150204-238534
No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.ddms,16.0.1.v201112150204-238534
No repository found containing: osgi.bundle,com.android.ide.eclipse.hierarchyviewer,16.0.1.v201112150204-238534
No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.hierarchyviewer,16.0.1.v201112150204-238534
No repository found containing: osgi.bundle,com.android.ide.eclipse.traceview,16.0.1.v201112150204-238534
No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.traceview,16.0.1.v201112150204-238534
No repository found containing: osgi.bundle,overlay.com.android.ide.eclipse.adt.overlay,16.0.1.v201112150204-238534

发表评论

电子邮件地址不会被公开。 必填项已用*标注